Skip to main content

Create Property Files: Rent Manager

POSThttps://api.propexo.com/v1/properties/rentmanager/:property_id/file-upload/
Method
POST /Properties/{propertyId}/UploadImage
POST /Properties/UserDefinedValues
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

property_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    images object[]

    Image files to upload for the property.

  • Array [
  • file_type_idstringrequired

    The Propexo unique identifier for the file type. This file_type must contain a "type" value of "image"

    file_typestring

    The type of file being uploaded. This defaults to "Image"

    Show 1 enum value
    Image
    Default value: Image
    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 1 MB.

    Possible values: <= 1394606 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

    namestringrequired

    The name of the image. Ex: "Balcony View"

    descriptionstringrequired

    A description of the image. Ex: "Stunning ocean view from the master bedroom balcony"

    captionstring

    A caption for the image. Defaults to the image name if left undefined

  • ]
  • attachments object[]

    Attachment files for user defined fields on the property. All the files can have a maximum combined file size of 50 MB

  • Array [
  • file_type_idstringrequired

    The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"

    file_typestring

    The type of file being uploaded. This defaults to "Document"

    Show 1 enum value
    Document
    Default value: Document
    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    images object[]required
  • Array [
  • file_type_idstringrequired

    The Propexo unique identifier for the file type. This file_type must contain a "type" value of "image"

    file_typestring
    Show 1 enum value
    Image
    Default value: Image
    file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 1 MB.

    Possible values: <= 1394606 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

    namestringrequired

    The name of the image. Ex: "Balcony View"

    descriptionstringrequired

    A description of the image. Ex: "Stunning ocean view from the master bedroom balcony"

    captionstring
  • ]
  • attachments object[]required
  • Array [
  • file_type_idstringrequired

    The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"

    file_typestring
    Show 1 enum value
    Document
    Default value: Document
    file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/properties/rentmanager/:property_id/file-upload/
curl -X POST https://api.propexo.com/v1/properties/rentmanager/:property_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"images": "Unknown Type: array,null",
"attachments": "Unknown Type: array,null"
}
}